import React, { Suspense } from 'react';

import { useFind } from 'react-pouchdb';

import Gpx from './gpx';

const Gpxes: React.FC<{}> = () => {
  const gpxes = useFind({
    selector: {
      type: 'gpx',
    },
  });

  return gpxes.map((gpx: any) => {
    console.log('doc');
    return <Gpx key={gpx._id} gpx={gpx} />;
  });
};

export default Gpxes;
